StopSandbox
curl --request POST \
--url https://app.textql.com/v1/sandbox/stop \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"sandboxId": "<string>"
}
'import requests
url = "https://app.textql.com/v1/sandbox/stop"
payload = { "sandboxId": "<string>" }
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({sandboxId: '<string>'})
};
fetch('https://app.textql.com/v1/sandbox/stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}Sandbox
Stop Sandbox
Stop and destroy a running sandbox
POST
/
v1
/
sandbox
/
stop
StopSandbox
v2 available: See DELETE /v2/sandcastles/ for the REST-native version of this endpoint.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Define the version of the Connect protocol
Available options:
1 Define the timeout, in ms
Body
application/json
Response
Success
⌘I